org.flexdock.perspective.persist.xml

## Class DockingPortNodeSerializer

- java.lang.Object
- - org.flexdock.perspective.persist.xml.AbstractLayoutNodeSerializer
  - - org.flexdock.perspective.persist.xml.DockingPortNodeSerializer

- All Implemented Interfaces:
    ISerializer

      public class DockingPortNodeSerializer
      extends AbstractLayoutNodeSerializer
      implements ISerializer

  Created on 2005-06-27
  Version:
    $Id: DockingPortNodeSerializer.java,v 1.5 2005-07-06 18:10:49 winnetou25 Exp $
  Author:
    Mateusz Szczap

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockingPortNodeSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LayoutNode` | `createLayoutNode()`
    `java.lang.Object` | `deserialize(org.w3c.dom.Element element)`
    `protected org.w3c.dom.Element` | `getElement(org.w3c.dom.Document document, java.lang.Object o)`
    `org.w3c.dom.Element` | `serialize(org.w3c.dom.Document document, java.lang.Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DockingPortNodeSerializer

          public DockingPortNodeSerializer()

  - ### Method Detail

    - #### serialize

          public org.w3c.dom.Element serialize(org.w3c.dom.Document document,
                                      java.lang.Object object)

      Specified by:
        `serialize` in interface `ISerializer`
      Overrides:
        `serialize` in class `AbstractLayoutNodeSerializer`

    - #### getElement

          protected org.w3c.dom.Element getElement(org.w3c.dom.Document document,
                                       java.lang.Object o)

      Specified by:
        `getElement` in class `AbstractLayoutNodeSerializer`

    - #### deserialize

          public java.lang.Object deserialize(org.w3c.dom.Element element)

      Specified by:
        `deserialize` in interface `ISerializer`
      Overrides:
        `deserialize` in class `AbstractLayoutNodeSerializer`

    - #### createLayoutNode

          protected LayoutNode createLayoutNode()

      Specified by:
        `createLayoutNode` in class `AbstractLayoutNodeSerializer`